commit 505d3d2dffd10593f26c33ce123992ddb86bd151
Author: freddy77 <freddy77>
Date:   Wed Oct 29 08:42:37 2008 +0000

    fix small memory read overflow

diff --git a/ChangeLog b/ChangeLog
index 0d3174b..85facd3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Oct 29 09:41:42 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/convert.c: fix small memory read overflow
+
 Tue Oct 28 13:50:30 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/tds_checks.c: relax libTDS check
 
@@ -789,4 +792,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2641 2008/10/28 12:50:57 freddy77 Exp $
+$Id: ChangeLog,v 1.2642 2008/10/29 08:42:37 freddy77 Exp $
diff --git a/src/tds/convert.c b/src/tds/convert.c
index 89b4e32..c589476 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.184 2008/09/17 12:16:08 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.185 2008/10/29 08:42:38 freddy77 Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -3002,7 +3002,7 @@ string_to_int(const char *buf, const char *pend, TDS_INT * res)
 	for (; p != pend; ++p) {
 		/* check for trailing spaces */
 		if (*p == blank) {
-			while (p != pend && *++p == blank);
+			while (++p != pend && *p == blank);
 			if (p != pend)
 				return TDS_CONVERT_SYNTAX;
 			break;

